Changes between Version 3 and Version 4 of Ticket #8061, comment 1


Ignore:
Timestamp:
02/03/14 13:05:11 (5 years ago)
Author:
elrond
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #8061, comment 1

    v3 v4  
    1212
    1313== Protocol Versions ==
    14 NSS 3.14 (shipped in debian) [https://developer.mozilla.org/en-US/docs/NSS/NSS_3.14_release_notes supports TLS 1.1], while the handshake happening on the wire only indicates 1.0. Pleaser offer the maximum version supported by NSS to the server. TLS 1.1 fixes some issues and 1.2 brings the GCM ciphers.
    15 
    16 Here are some few lines, that *might* (read: UNTESTED) work. They should be placed in {{{./libpurple/plugins/ssl/ssl-nss.c}}} in {{{ssl_nss_init_nss()}}} before or after enabling the ciphers:
    17 {{{
    18 SSLVersionRange supported, enabled;
    19 if ((SSL_VersionRangeGetSupported(ssl_variant_stream, &supported) == SECSuccess) &&
    20     (SSL_VersionRangeGetDefault(ssl_variant_stream, &enabled) == SECSuccess))
    21 {
    22     enabled.max = supported.max;
    23     SSL_VersionRangeSetDefault(ssl_variant_stream, &enabled);
    24 }
    25 }}}
     14NSS 3.14 (shipped in debian) [https://developer.mozilla.org/en-US/docs/NSS/NSS_3.14_release_notes supports TLS 1.1], while the handshake happening on the wire only indicates 1.0. Pleaser offer the maximum version supported by NSS to the server. TLS 1.1 fixes some issues and 1.2 brings the GCM ciphers. See #15909
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!